BINDING_HEADER_TABPARTY = "Tab Party"
_G["BINDING_NAME_CLICK TabPartyButton:LeftButton"] = "Cycle Party Members"

local TheButton = CreateFrame("Button", "TabPartyButton", UIParent, "SecureActionButtonTemplate,SecureHandlerMouseUpDownTemplate,ActionButtonTemplate")
TheButton:SetAttribute("*type1", "target")
TheButton:SetAttribute("unit", "player")
SecureHandlerWrapScript(TheButton, "OnClick", TheButton,  [[
if not lastunit then lastunit = -1 end
local newunit
repeat
	lastunit = (lastunit + 1) % 5
	if lastunit == 0 then
		newunit = "player"
	else
		newunit = "party"..lastunit
	end
until UnitExists(newunit)
self:SetAttribute("unit", newunit)
]])

--[===[@debug@
TheButton:RegisterEvent("PLAYER_ENTERING_WORLD")
--TheButton:SetScript("OnEvent", function(self, event) if event == "PLAYER_ENTERING_WORLD" then self:ShowButton() end end)
--@end-debug@]===]
--@do-not-package@
function TheButton:ShowButton()
TheButton.icontex = TabPartyButtonIcon
TheButton.icontex:SetTexture("Interface\\Icons\\Ability_Hunter_Snipershot")
TheButton:SetHeight(32)
TheButton:SetWidth(32)
TheButton:SetPoint("CENTER")
TheButton:SetClampedToScreen(true)
TheButton:SetMovable(true)
TheButton:RegisterForDrag("LeftButton")
TheButton:SetScript("OnDragStart", function(self) self:StartMoving() end)
TheButton:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)
TheButton:Show()
end
--@end-do-not-package
